function PTB_test
%
%2015/09/11 Hisakata made

AssertOpenGL;

try  
    
    %========Open window and get the window size=======
    screenNumbers=Screen('Screens');                            
    [wp,Screen_rect] = Screen('OpenWindow',max(screenNumbers));
    xcenter = Screen_rect(3)/2;
    ycenter = Screen_rect(4)/2;
    %==================================================
    
    %=========Variables=============
    PresentationDuration = 5;
    Number_of_Presentation = 1;
    %=====================================

    %~~~~~~~~~~~~~~~~~Presentation~~~~~~~~~~~~~~~~~~~~~~~
    HideCursor;
    
    Screen('TextFont',wp,'Curier');
    Screen('TextSize',wp,50);
    textstr = 'This is PTB test. Please wait 5 seconds.';
    normBoundsRect= Screen('TextBounds', wp, textstr);
    startX = xcenter - normBoundsRect(3)/2;
    startY = ycenter - normBoundsRect(4)/2;
    
    for i = 1:Number_of_Presentation
        Screen('FillRect',wp,[127 127 127]);
        Screen('DrawText',wp,textstr,startX,startY,[255 255 255]);
        Screen('Flip',wp);                                  
        
        WaitSecs(PresentationDuration);                                          
    end
    %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    %=====Close the window====================
    ShowCursor;
    Screen('CloseAll');
    %=========================================
    
catch ME
    ShowCursor;
    Screen('CloseAll');
    rethrow(ME);
end;